%define ocamlname bitstring

Name:           ocaml-%{ocamlname}
Version:        3.0.0
Release:        1%{?dist}.emp1
Summary:        bitstrings and bitstring matching for OCaml
License:        LGPLv2+ with exceptions and GPLv2+
URL:            https://github.com/xguerin/bitstring
Source0:        bitstring-3.0.0.tar.gz

Requires:       ocaml >= 4.02.3

BuildRequires:  opam-installer >= 2.0
BuildRequires:  jbuilder
BuildRequires:  ocaml >= 4.02.3
BuildRequires:  ocaml-ppx_tools_versioned-devel
BuildRequires:  ocaml-ocaml-migrate-parsetree-devel >= 1.0.5
BuildRequires:  ocaml-ounit-devel

Conflicts:	ocaml-ppx_bitstring

%description
The ocaml-bitstring project adds Erlang-style bitstrings and matching
over bitstrings as a syntax extension and library for OCaml.

You can use this module to both parse and generate binary formats,
files and protocols.

Bitstring handling is added as primitives to the language, making it
exceptionally simple to use and very powerful.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-%{version}

%build
jbuilder build  -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install
echo %{ocamlname} > \
    %{buildroot}/%{_libdir}/ocaml/stublibs/dll%{ocamlname}_unix_stubs.so.owner

%check
jbuilder runtest  -p %{ocamlname} %{?_smp_mflags}

%files
%doc COPYING
%{_libdir}/ocaml/%{ocamlname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{ocamlname}/*.mli
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner

%files devel
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.orig
%doc %{_libdir}/ocaml/doc/%{ocamlname}/README.md
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
%{_libdir}/ocaml/%{ocamlname}/*.mli
